%global packname  jose
%global rlibdir  %{_datadir}/R/library

# rmarkdown is not available
%global with_doc 0

Name:             R-%{packname}
Version:          0.1
Release:          1%{?dist}
Summary:          JavaScript Object Signing and Encryption

License:          MIT
URL:              https://cran.r-project.org/web/packages/%{packname}/index.html
Source0:          https://cran.r-project.org/src/contrib/%{packname}_%{version}.tar.gz

# Here's the R view of the dependencies world:
# Depends:   R-openssl
# Imports:   R-jsonlite
# Suggests:  R-testthat R-knitr R-rmarkdown
# LinkingTo:
# Enhances:

BuildArch:        noarch
Requires:         R-core

Requires:         R-openssl
Requires:         R-jsonlite
BuildRequires:    R-devel tex(latex) R-openssl
BuildRequires:    R-jsonlite
BuildRequires:    R-testthat
%if %{with_doc}
BuildRequires:    R-knitr R-rmarkdown
%endif

%description
A collection of specifications to securely transfer claims such as
authorization information between parties. A JSON Web Token (JWT) contains
claims used by systems to apply access control rules to its resources. One
potential use case of the JWT is authentication and authorization for a
system that exposes resources through OAuth 2.0.


%prep
%setup -q -c -n %{packname}


%build


%install
mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css


%check
%if %{with_doc}
%{_bindir}/R CMD check %{packname}
%else
_R_CHECK_FORCE_SUGGESTS_=0 %{_bindir}/R CMD check %{packname} --ignore-vignettes
%endif


%files
%dir %{rlibdir}/%{packname}
%doc %{rlibdir}/%{packname}/doc
%doc %{rlibdir}/%{packname}/html
%{rlibdir}/%{packname}/DESCRIPTION
%license %{rlibdir}/%{packname}/LICENSE
%{rlibdir}/%{packname}/INDEX
%{rlibdir}/%{packname}/NAMESPACE
%{rlibdir}/%{packname}/Meta
%{rlibdir}/%{packname}/R
%{rlibdir}/%{packname}/help


%changelog
* Fri Mar 23 2018 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0.1-1
- initial package for Fedora
